Subject: Re: Git status reports untracked on tracked files

From: Karsten Blees <[email-masked]>
Date: Tue, 04 Jun 2013 18:39:18 +0200

Am 04.06.2013 11:05, schrieb Andrey Kiyanovsky:
> I have tried Git 1.8.3 for Windows. Case is fixed. Thank you very much!
> 
> 2013/6/4 Jeff King <[email-masked]>:
>> On Wed, May 29, 2013 at 11:40:56AM +0300, Andrey Kiyanovsky wrote:
>>
>>> Git version 1.8.1.2. for Windows
>>>
>>> Git config:
>>>
>>> [core]
>>>       repositoryformatversion = 0
>>>       filemode = false
>>>       bare = false
>>>       logallrefupdates = true
>>>       symlinks = false
>>>       ignorecase = true
>>>       hideDotFiles = dotGitOnly
>>>       compression = 1
>>
>> In the past there have been some problems with status listings of
>> untracked files when core.ignorecase is in use. I fixed some cases with
>> a commit that went into v1.7.8, but some problems remained. Karsten
>> Blees (cc'd) did some work that went into git v1.8.1.6, but I do not
>> know off-hand if it would fix your case or not.
>>

Yep, the hash collision bug can definitely cause this with ignorecase=true, glad it helped.

Another case in which Git for Windows will report tracked files as untracked is if you upgrade from < 1.7.10 with non-ASCII file names in the repository. Particularly annoying are hyphens (\u00ad), which look just like ASCII minus (\u002d). See [1] for details.

[1] https://github.com/msysgit/msysgit/wiki/Git-for-Windows-Unicode-Support